/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


#ifndef	__GPUSHADEROBJECT__
#define __GPUSHADEROBJECT__


		#include "alloc/ialloc.h"


namespace GS {
	namespace GPU {

//
struct	ShaderObject
{
		NPLACEMENT_NEW(Renderer)

enum	Type
{
		Vertex	=	0,
		Pixel,

		TypeLast
};

virtual	void			Free() = 0;

virtual	~ShaderObject() {}
};

	} // GPU
} // GS


#endif	// __GPUSHADEROBJECT__
